# Order Item Object

| No | Name               | Type                                                                     | Mandatory | Min Length | Max Length | Description                        |
| -- | ------------------ | ------------------------------------------------------------------------ | --------- | ---------- | ---------- | ---------------------------------- |
| 1  | brand              | String                                                                   | O         | 1          | 127        | Brand on Item Order                |
| 2  | category           | String                                                                   | C         | 1          | 127        | Category on Item Order             |
| 3  | description        | String                                                                   | C         | 1          | 127        | Description on Item Order          |
| 4  | industryCategory   | String                                                                   | O         | 1          | 127        | Industry Category on Item Order    |
| 5  | name               | String                                                                   | C         | 1          | 127        | Name on Item Order                 |
| 6  | quantity           | Numeric                                                                  | C         | 1          | 3          | Quantity on Item Order             |
| 7  | sku                | String                                                                   | O         | 1          | 127        | SKU on Item Order                  |
| 8  | unitDiscountAmount | Numeric                                                                  | O         | 1          | 14         | Unit Discount Amount on Item Order |
| 9  | unitOfMeasure      | String                                                                   | O         | 1          | 10         | Unit Of Meansure on Item Order     |
| 10 | unitPrice          | Numeric                                                                  | C         | 1          | 14         | Unit Price on Item Order           |
| 11 | unitTaxAmount      | Numeric                                                                  | O         | 1          | 14         | Unit Tax Amount on Item Order      |
| 12 | subMerchantId      | String                                                                   | O         | 1          | 127        | Sub Merchant ID                    |
| 13 | ServiceProvider    | [Object](/api-reference/appendix/json-object/service-provider-object.md) | O         | 1          | 5          | Service Provider                   |
| 14 | url                | String                                                                   | C         | 1          | 320        | URL on Item Order                  |
| 15 | imageUrl           | String                                                                   | C         | 1          | 320        | Image URL on Item Order            |

```
"order": {
  "item": [
    {
      "brand": "brand1",
      "category": "category",
      "description": "description",
      "industryCategory": "industryCategory",
      "name": "name",
      "quantity": "1",
      "sku": "sku",
      "unitDiscountAmount": "100",
      "unitOfMeasure": "1",
      "unitPrice": "100",
      "unitTaxAmount": "100",
      "subMerchantId": "FIN4870001",
      "ServiceProvider": {
        "id": "050017",
        "type": "POST",
        "customerId": "820220919104920"
      }
    },
    {
      "brand": "brand2",
      "category": "category",
      "description": "description",
      "industryCategory": "industryCategory",
      "name": "name",
      "quantity": "1",
      "sku": "sku",
      "unitDiscountAmount": "100",
      "unitOfMeasure": "1",
      "unitPrice": "100",
      "unitTaxAmount": "100",
      "subMerchantId": "FIN4870001"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/order-item-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
